# Copyright (c) 2021, Xhive Global Ltd. and Contributors
# MIT License. See license.txt


import xhiveframework


def execute():
	xhiveframework.reload_doc("website", "doctype", "web_form_list_column")
	xhiveframework.reload_doctype("Web Form")

	for web_form in xhiveframework.get_all("Web Form", fields=["*"]):
		if web_form.allow_multiple and not web_form.show_list:
			xhiveframework.db.set_value("Web Form", web_form.name, "show_list", True)
